curl --request POST \
--url https://www.closient.com/compliance/api/v1/organizations/{organization_id}/reference-documents \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"document_number": "BOL-2026-0412",
"document_type": "bill_of_lading",
"issued_date": "2026-04-12"
}
'import requests
url = "https://www.closient.com/compliance/api/v1/organizations/{organization_id}/reference-documents"
payload = {
"document_number": "BOL-2026-0412",
"document_type": "bill_of_lading",
"issued_date": "2026-04-12"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document_number: 'BOL-2026-0412',
document_type: 'bill_of_lading',
issued_date: '2026-04-12'
})
};
fetch('https://www.closient.com/compliance/api/v1/organizations/{organization_id}/reference-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.closient.com/compliance/api/v1/organizations/{organization_id}/reference-documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document_number' => 'BOL-2026-0412',
'document_type' => 'bill_of_lading',
'issued_date' => '2026-04-12'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.closient.com/compliance/api/v1/organizations/{organization_id}/reference-documents"
payload := strings.NewReader("{\n \"document_number\": \"BOL-2026-0412\",\n \"document_type\": \"bill_of_lading\",\n \"issued_date\": \"2026-04-12\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.closient.com/compliance/api/v1/organizations/{organization_id}/reference-documents")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"document_number\": \"BOL-2026-0412\",\n \"document_type\": \"bill_of_lading\",\n \"issued_date\": \"2026-04-12\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.closient.com/compliance/api/v1/organizations/{organization_id}/reference-documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document_number\": \"BOL-2026-0412\",\n \"document_type\": \"bill_of_lading\",\n \"issued_date\": \"2026-04-12\"\n}"
response = http.request(request)
puts response.read_body{
"document_number": "BOL-2026-0412",
"document_type": "bill_of_lading",
"id": "4Wc8NfJb2RtKxMq7YpLd3S",
"issued_date": "2026-04-12",
"notes": "Truck 14, seal 88213"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}Create a reference document
Add a reference document. The type and number together must be unique within the organization. Requires the Owner, Manager or Editor role; a read-only key is refused with 403.
curl --request POST \
--url https://www.closient.com/compliance/api/v1/organizations/{organization_id}/reference-documents \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"document_number": "BOL-2026-0412",
"document_type": "bill_of_lading",
"issued_date": "2026-04-12"
}
'import requests
url = "https://www.closient.com/compliance/api/v1/organizations/{organization_id}/reference-documents"
payload = {
"document_number": "BOL-2026-0412",
"document_type": "bill_of_lading",
"issued_date": "2026-04-12"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document_number: 'BOL-2026-0412',
document_type: 'bill_of_lading',
issued_date: '2026-04-12'
})
};
fetch('https://www.closient.com/compliance/api/v1/organizations/{organization_id}/reference-documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.closient.com/compliance/api/v1/organizations/{organization_id}/reference-documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document_number' => 'BOL-2026-0412',
'document_type' => 'bill_of_lading',
'issued_date' => '2026-04-12'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.closient.com/compliance/api/v1/organizations/{organization_id}/reference-documents"
payload := strings.NewReader("{\n \"document_number\": \"BOL-2026-0412\",\n \"document_type\": \"bill_of_lading\",\n \"issued_date\": \"2026-04-12\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.closient.com/compliance/api/v1/organizations/{organization_id}/reference-documents")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"document_number\": \"BOL-2026-0412\",\n \"document_type\": \"bill_of_lading\",\n \"issued_date\": \"2026-04-12\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.closient.com/compliance/api/v1/organizations/{organization_id}/reference-documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document_number\": \"BOL-2026-0412\",\n \"document_type\": \"bill_of_lading\",\n \"issued_date\": \"2026-04-12\"\n}"
response = http.request(request)
puts response.read_body{
"document_number": "BOL-2026-0412",
"document_type": "bill_of_lading",
"id": "4Wc8NfJb2RtKxMq7YpLd3S",
"issued_date": "2026-04-12",
"notes": "Truck 14, seal 88213"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}{
"detail": "The requested resource was not found.",
"error_code": "not_found",
"retryable": false,
"status": 404,
"timestamp": "2026-03-31T12:00:00+00:00",
"title": "Not Found",
"type": "https://closient.com/docs/errors/not_found"
}Authorizations
Path Parameters
Identifier of the organization.
22^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$Body
A reference document to create.
Kind of document: bill_of_lading, purchase_order, invoice, receipt, advance_ship_notice, transaction_statement or other. Anything else is refused with 422.
^[^\x00]{0,}$The document's number, up to 128 characters; unique per type within the organization.
1 - 128^[^\x00]{1,128}$Date the document was issued (YYYY-MM-DD).
Free-text notes.
^[^\x00]{0,}$Response
Created
A bill of lading, purchase order or other document a Critical Tracking Event can cite.
Identifier of the reference document.
22^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$Kind of document: bill_of_lading, purchase_order, invoice, receipt, advance_ship_notice, transaction_statement or other.
The document's number, unique per type within the organization.
Free-text notes; may be empty.
Date the document was issued, or null when not recorded.